console.log("🏦 HDFC Payment Handler");

(function () {

  function checkPage() {

    let input = document.querySelector("input");

    if (input) {
      console.log("💳 HDFC page detected");
    } else {
      setTimeout(checkPage, 1000);
    }
  }

  checkPage();

})();